Package org.apache.ignite.internal.management.snapshot

## Class SnapshotCheckCommand

- java.lang.Object
- - org.apache.ignite.internal.management.snapshot.AbstractSnapshotCommand<SnapshotCheckCommandArg,​SnapshotPartitionsVerifyTaskResult>
  - - org.apache.ignite.internal.management.snapshot.SnapshotCheckCommand

All Implemented Interfaces:
  `Command<SnapshotCheckCommandArg,​SnapshotPartitionsVerifyTaskResult>`, `ComputeCommand<SnapshotCheckCommandArg,​SnapshotPartitionsVerifyTaskResult>`

    public class SnapshotCheckCommand
    extends AbstractSnapshotCommand<SnapshotCheckCommandArg,​SnapshotPartitionsVerifyTaskResult>

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.management.api.Command

`CMD_NAME_POSTFIX`

### Constructor Summary

Constructors
`SnapshotCheckCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<SnapshotCheckCommandArg>` `argClass()`
`String` `description()` Command description.
`void` `printResult​(SnapshotCheckCommandArg arg, SnapshotPartitionsVerifyTaskResult res, Consumer<String> printer)` Prints command result to the user.
`Class<SnapshotCheckTask>` `taskClass()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.management.api.Command

`confirmationPrompt, deprecationMessage`

### Methods inherited from interface org.apache.ignite.internal.management.api.ComputeCommand

`handleException, nodes`

### Constructor Detail

#### SnapshotCheckCommand

    public SnapshotCheckCommand()

### Method Detail

#### description

    public String description()

Command description.

#### argClass

    public Class<SnapshotCheckCommandArg> argClass()

Returns:
  Arguments class.

#### taskClass

    public Class<SnapshotCheckTask> taskClass()

Returns:
  Task class.

#### printResult

    public void printResult​(SnapshotCheckCommandArg arg,
                            SnapshotPartitionsVerifyTaskResult res,
                            Consumer<String> printer)

Prints command result to the user.

Specified by:
  `printResult` in interface `ComputeCommand<SnapshotCheckCommandArg,​SnapshotPartitionsVerifyTaskResult>`
Overrides:
  `printResult` in class `AbstractSnapshotCommand<SnapshotCheckCommandArg,​SnapshotPartitionsVerifyTaskResult>`
Parameters:
  `arg` - Argument.
  `res` - Result.
  `printer` - Implementation specific printer.